## org.codehaus.groovy.ant
Class FileIterator

`FileIterator` is an iterator over a number of files from a collection of FileSet instances.

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`DirectoryScanner` | `ds`
`int` | `fileIndex`
`Iterator` | `fileSetIterator`
`def` | `files`
`boolean` | `iterateDirectories`
`File` | `nextFile`
`boolean` | `nextObjectSet`
`Project` | `project`

Constructor Summary
`FileIterator(Project project, Iterator fileSetIterator)` The iterator over the FileSet objects
`FileIterator(Project project, Iterator fileSetIterator, boolean iterateDirectories)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()` throws UnsupportedOperationException
`boolean` | `setNextObject()` Set nextObject to the next object.

Constructor Detail

### FileIterator

    public FileIterator(Project project, Iterator fileSetIterator)

  The iterator over the FileSet objects

### FileIterator

    public FileIterator(Project project, Iterator fileSetIterator, boolean iterateDirectories)

Method Detail

### hasNext

    public boolean hasNext()

  return:
    true if there is another object that matches the given predicate

### next

    public Object next()

  return:
    the next object which matches the given predicate

### remove

    public void remove()

  throws UnsupportedOperationException

### setNextObject

    boolean setNextObject()

  Set nextObject to the next object. If there are no more objects then return false. Otherwise, return true.